YY_BUFFER_STATE Struct Reference
Collaboration diagram for YY_BUFFER_STATE:
[legend]

## Public Attributes

std::istream * | yy_input_file
char * | yy_ch_buf
char * | yy_buf_pos
yy_size_t | yy_buf_size
yy_size_t | yy_n_chars
int | yy_is_our_buffer
int | yy_is_interactive
int | yy_at_bol
int | yy_bs_lineno
int | yy_bs_column
int | yy_fill_buffer
int | yy_buffer_status

## Member Data Documentation

int YY_BUFFER_STATE::yy_at_bol

int YY_BUFFER_STATE::yy_bs_column

The column count.

int YY_BUFFER_STATE::yy_bs_lineno

The line count.

char* YY_BUFFER_STATE::yy_buf_pos

yy_size_t YY_BUFFER_STATE::yy_buf_size

int YY_BUFFER_STATE::yy_buffer_status

char* YY_BUFFER_STATE::yy_ch_buf

int YY_BUFFER_STATE::yy_fill_buffer

std::istream* YY_BUFFER_STATE::yy_input_file

int YY_BUFFER_STATE::yy_is_interactive

int YY_BUFFER_STATE::yy_is_our_buffer

yy_size_t YY_BUFFER_STATE::yy_n_chars

The documentation for this struct was generated from the following file:

- elftosb_lexer.cpp